Bug 1007185 - (CVE-2013-5719) CVE-2013-5719 wireshark: ASSA R3 dissector crash (wnpa-sec-2013-56, upstream bug 9020)
CVE-2013-5719 wireshark: ASSA R3 dissector crash (wnpa-sec-2013-56, upstream ...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130910,reported=2...
: Security
Depends On: 1007254 1007258 1007278
Blocks: 1007214
  Show dependency treegraph
 
Reported: 2013-09-12 01:15 EDT by Murray McAllister
Modified: 2015-10-15 14:00 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-13 00:44:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2013-09-12 01:15:39 EDT
Ben Schmidt discovered a flaw in the Wireshark ASSA R3 dissector. Wireshark could stop responding if it read a malformed packet off a network, or opened a malicious dump file. This issue affects Wireshark versions 1.10.0 to 1.10.1 and 1.8.0 to 1.8.9. It is fixed in versions 1.10.2 and 1.8.10.

References:

https://www.wireshark.org/security/wnpa-sec-2013-56.html
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=9020
http://anonsvn.wireshark.org/viewvc?view=revision&revision=51196
Comment 1 Murray McAllister 2013-09-12 04:13:16 EDT
Created wireshark tracking bugs for this issue:

Affects: fedora-all [bug 1007258]
Comment 3 Huzaifa S. Sidhpurwala 2013-09-13 00:18:00 EDT
Statement:

Not Vulnerable. This issue does not affect the version of wireshark as shipped with Red Hat Enterprise Linux 5 and 6.
Comment 4 Huzaifa S. Sidhpurwala 2013-09-13 00:44:02 EDT
This issue affects the version of wireshark as shipped with Fedora 18 and 19.

Note You need to log in before you can comment on or make changes to this bug.